- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fileglob – list files matching a pattern

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Matches all files in a single directory, non-recursively, that match a pattern. It calls Python’s “glob” library.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms - / required |  |  | path(s) of files to read

## Notes

Note

- Patterns are only supported on files, not directory/paths.
- Matching is against local system files on the Ansible controller. To iterate a list of files on a remote node, use the find module.
- Returns a string list of paths joined by commas, or an empty list if no files match. For a ‘true list’ pass `wantlist=True` to the lookup.

## Examples

    - name: Display paths of all .txt files in dir
      debug: msg={{ lookup('fileglob', '/my/path/*.txt') }}

    - name: Copy each file over that matches the given pattern
      copy:
        src: "{{ item }}"
        dest: "/etc/fooapp/"
        owner: "root"
        mode: 0600
      with_fileglob:
        - "/playbooks/files/fooapp/*"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list - |  | list of files

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]
- This lookup is maintained by the Ansible Community. [community]

### Authors

- Michael DeHaan <michael.dehaan@gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.